Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Aaron Jensen <[email-masked]>
Date: Wed, 31 Oct 2018 22:11:36 -0700

On October 31, 2018 at 9:58:59 PM, Aaron Jensen
([email-masked](mailto:[email-masked])) wrote:

> > On October 31, 2018 at 10:13:01 AM, Alan Third ([email-masked](mailto:[email-masked])) wrote:
> > > Something is blanking the line. There are only so many places where
> > > that happens so in theory it should be relatively straight‐forward to
> > > find the place in question. Perhaps start by commenting out the
> > > NSRectFill commands in ns_clear_frame and ns_clear_frame_area.
> >
> > I commented out every single NSRectFill and it still did it. It’s fast, but gif attached.
> >
> > I tried commenting out the setNeedsDisplay but that breaks rendering entirely.

Okay, the blank does not occur if I comment out this line:

  w->phys_cursor_on_p = on_p;

Hopefully that’s a helpful clue :)

The other place this blank happens is when opening a buffer from ivy.
The mini buffer blanks. It seems that has something to do w/ clearing
cursors from the non-active windows, perhaps it’s being a little
overzealous in its clearing and it doesn’t get a chance to paint
before the cpu starts churning.

Aaron